<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/llTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">
        <ImageView
            android:id="@+id/imgBack"
            android:layout_width="55dp"
            android:layout_height="50dp"
            android:src="@drawable/ic_go_back_white"
            android:paddingStart="20dp"
            android:paddingEnd="15dp"
            app:tint="@color/black" />
        <RelativeLayout
            android:id="@+id/et_parent"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="20dp"
            android:layout_weight="1"
            android:background="@drawable/search_back_grey">

            <EditText
                android:id="@+id/et"
                android:layout_width="match_parent"
                android:layout_height="46dp"
                android:background="@null"
                android:hint="@string/start_searching"
                android:imeOptions="actionSearch"
                android:inputType="text"
                android:maxLines="1"
                android:paddingStart="10dp"
                android:paddingEnd="40dp"
                android:textColorHint="#D3D3D3"
                android:textSize="14sp" />
            <ImageView
                android:id="@+id/btn_search"
                android:layout_width="60dp"
                android:layout_height="40dp"
                android:layout_centerVertical="true"
                android:layout_alignParentEnd="true"
                android:paddingHorizontal="20dp"
                android:src="@drawable/selector_explore" />
        </RelativeLayout>
    </LinearLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/result_recycler"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/llTop"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="7dp" />

    <LinearLayout
        android:id="@+id/empty_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:src="@drawable/ic_empty_result_01" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:text="@string/no_data_found"
            android:textColor="#000000" />
    </LinearLayout>


    <ProgressBar
        android:id="@+id/search_pb"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:indeterminateTint="#FFB6C1"
        android:visibility="gone" />

</RelativeLayout>